import * as dotenv from 'dotenv';

const mariadb = require('mariadb');

dotenv.config();

export namespace PartyPlanerDB {
    const prod_pool = mariadb.createPool({
        host: process.env.DB_HOST,
        user: process.env.DB_USER,
        password: process.env.DB_PASSWORD,
        database: process.env.PARTYPLANER_PROD_DATABASE,
        connectionLimit: 5
    });
    const dev_pool = mariadb.createPool({
        host: process.env.DB_HOST,
        user: process.env.DB_USER,
        password: process.env.DB_PASSWORD,
        database: process.env.PARTYPLANER_DEV_DATABASE,
        connectionLimit: 5
    });

    export function getConnection(useDev: boolean = false) {
        if (useDev) {
            return dev_pool;
        }
        return prod_pool;
    }
}
